#
# spec file for package yast2-firstboot (Version 2.13.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 checkmedia coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dbus-1-mono dejagnu desktop-translations diffutils e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv iproute2 klogd ldapcpplib less libacl libattr libcom_err libgcc libicu libidn libnscd libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp libzypp-zmd-backend m4 make man mktemp module-init-tools mono-core mono-data mono-web ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl pam pam-modules parted patch pcre pcre-devel perl perl-Digest-SHA1 perl-URI perl-XML-Parser perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm rug sed sqlite strace suseRegister sysconfig sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-country yast2-devtools yast2-hardware-detection yast2-inetd yast2-installation yast2-ldap yast2-ldap-client yast2-mail-aliases yast2-network yast2-packager yast2-pam yast2-perl-bindings yast2-pkg-bindings yast2-security yast2-slp yast2-storage yast2-storage-lib yast2-testsuite yast2-users yast2-xml zlib zlib-devel zmd

Name:           yast2-firstboot
URL:            http://www.suse.com/
Version:        2.13.2
Release:        1.3
License:        GPL, X11/MIT
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-firstboot-2.13.2.tar.bz2
prefix:		/usr
BuildRequires:  update-desktop-files yast2-devtools yast2-network yast2-testsuite yast2-xml
Requires:       yast2
BuildArchitectures:	noarch
Summary:        YaST Initial System Configuration
PreReq:         %insserv_prereq %fillup_prereq

%description
The YaST firstboot utility runs after installation is completed.  It
guides the user through a series of steps that allows for easier
configuration of the machine.

YaST firstboot does not run by default and has	to be configured to run
by the user or the system administrator. It is usefull for image
deployments where the system in the image is completely configured,
however some last steps like root password and user logins have to be
created to personalize the system.



Authors:
--------
    Anas Nashif<nashif@suse.de>

%debug_package
%prep
%setup -n yast2-firstboot-2.13.2

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/scripts

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
%{fillup_and_insserv -y -n -s firstboot}

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root)
%dir %{prefix}/lib/YaST2/startup/Firstboot-Stage
%{prefix}/lib/YaST2/startup/Firstboot-Stage/*
%{prefix}/lib/YaST2/startup/YaST2.Firstboot
/usr/share/YaST2/clients/firstboot_*.ycp
/usr/share/YaST2/clients/firstboot.ycp
%dir /usr/share/YaST2/include/firstboot
/usr/share/YaST2/include/firstboot/*.ycp
/usr/share/YaST2/modules/Firstboot.*
/usr/share/YaST2/data/*
/usr/share/YaST2/scrconf/*.scr
/etc/init.d/firstboot
/var/adm/fillup-templates/sysconfig.firstboot
/usr/share/firstboot
%doc %{prefix}/share/doc/packages/yast2-firstboot
/etc/YaST2/*.xml

%changelog -n yast2-firstboot
* Fri Jun 02 2006 - jsrain@suse.cz
- log Report messages by default (#180862)
- 2.13.2
* Mon Mar 27 2006 - jsrain@suse.de
- updated BuildRequires
- 2.13.1
* Mon Oct 31 2005 - jsrain@suse.cz
- fixed XML syntax in firstboot.xml (#130175)
- 2.13.0
* Tue Aug 16 2005 - jsrain@suse.cz
- fixed location of the firstboot control file (#104864)
- 2.12.1
* Fri Aug 12 2005 - jsrain@suse.cz
- fixed check_ycp errors
- 2.12.0
* Wed Mar 02 2005 - nashif@suse.de
- Fixed control file
- import Firstboot module
* Fri Feb 11 2005 - nashif@suse.de
- Use general dialogs (welcome, license, finish) from installation
* Thu Feb 10 2005 - visnov@suse.cz
- Merged messages from proofreading
* Mon Jan 24 2005 - nashif@suse.de
- Use new workflow arguments and new startup scripts
* Tue Nov 30 2004 - nashif@suse.de
- Adapted startup scripts to new scheme
* Tue Aug 31 2004 - sh@suse.de
- Merged messages from proofreading
- 2.10.3
* Tue Aug 24 2004 - nashif@suse.de
- Added desktop selection
- Fixed init script
* Fri Aug 13 2004 - nashif@suse.de
- Adde control file specific for firstboot
- Support more clients
- 2.10.1
* Tue Jul 27 2004 - nashif@suse.de
- Added missing help texts
- adapted neededforbuild
* Mon Jul 12 2004 - nashif@suse.de
- initial version. (#43318)
